futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Format

Description

Parsing of format strings.

Synopsis

- parseFormatString :: Text -> Either Text [Either Text Text]

# Documentation

parseFormatString :: Text -> Either Text [Either Text Text] Source #

The Lefts are pure text; the Rights are the contents of interpolations.